%global momorel 1

Name: iperf
Version: 3.1.2
Release: %{momorel}m%{?dist}
Summary: Measurement tool for TCP/UDP bandwidth performance
License: BSD
Group: Applications/Internet
URL: http://software.es.net/iperf/
Source0: http://downloads.es.net/pub/iperf/iperf-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning of
various parameters and UDP characteristics. Iperf reports bandwidth, delay
jitter, datagram loss.

%package  devel
Summary: Development files for the iperf library
Group: Development/Libraries
Requires: iperf = %{version}-%{release}

%description  devel
This package contains the libraries and header files needed for
developing applications which use iperf.

%prep
%setup -q

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall -C src INSTALL_DIR="%{buildroot}%{_bindir}"

mv %{buildroot}%{_bindir}/iperf3 %{buildroot}%{_bindir}/iperf

rm -f %{buildroot}%{_libdir}/libiperf.{a,la}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.md RELEASE_NOTES docs/*.rst
%{_bindir}/iperf
%{_bindir}/iperf
%{_libdir}/libiperf.so.*
%{_mandir}/man1/iperf3.1.*
%{_mandir}/man3/libiperf.3.*

%files devel
%defattr(-,root,root)
%{_includedir}/iperf_api.h
%{_libdir}/libiperf.so


%changelog
* Sat Mar 19 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.2-1m)
- version up 3.1.2

* Sun Aug 14 2011 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.5-1m)
- version up 2.0.5

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.4-5m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.4-4m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.4-3m)
- full rebuild for mo7 release

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.4-1m)
- update to 2.0.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.2-2m)
- rebuild against rpm-4.6

* Wed Apr  9 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-1m)
- import from fedora to Momonga

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.2-5
- Autorebuild for GCC 4.3

* Sat Oct 27 2007 Gabriel Somlo <somlo at cmu.edu> 2.0.2-4
- replace usleep with sched_yield to avoid hogging CPU (bugzilla #355211)

* Mon Jan 29 2007 Gabriel Somlo <somlo at cmu.edu> 2.0.2-3
- patch to prevent removal of debug info by ville.sxytta(at)iki.fi

* Fri Sep 08 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.2-2
- rebuilt for FC6MassRebuild

* Wed Apr 19 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.2-1
- initial build for fedora extras (based on Dag Wieers SRPM)
- fixed license tag: BSD (U. of IL / NCSA), not GPL
